Put Policy Routes

Put Policy Routes
Configure Policy Routes on NSX-T

Configure Policy Routes on NSX-T

Request
URI
PUT
https://{server}/hybridity/api/l2Extensions/policyRoutes
COPY
Request Body

List of Subnets to allow & deny. Subnets should be in "IP/Prefix" format.

policyRoutes of type(s) application/json
Required
{
    "endpointId": "string",
    "allow": [
        "string"
    ],
    "deny": [
        "string"
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
string
endpointId
Optional

endpointId

array of string
allow
Optional

allow

array of string
deny
Optional

deny

array of object
errors
Optional

errors

Authentication
This operation uses the following authentication methods.
Responses
200

Policy Routes for PBF based NSXT PR

Returns PolicyRoutes of type(s) application/json
{
    "endpointId": "string",
    "allow": [
        "string"
    ],
    "deny": [
        "string"
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
string
endpointId
Optional

endpointId

array of string
allow
Optional

allow

array of string
deny
Optional

deny

array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns NE_InternalServerError of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/l2Extensions/policyRoutes